/**
 * App Weather - A Weather Source API
 * App/Webpage optimized weather data for latitude/longitude points, ZIP/Postal Codes, and OnPoint™ points. The Weather Source App Weather API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate use. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  This API returns current conditions (Nowcast) and a 7-day of daily and hourly forecast. The nowcast and forecasts include limited astronomical data.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.      **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.apis

import io.swagger.client.models.AppwxPointObj
import io.swagger.client.models.ErrorObj

import io.swagger.client.infrastructure.*

class PointsApi(basePath: kotlin.String = "https://appwx.weathersourceapis.com/v2") : ApiClient(basePath) {

    /**
     * App Weather for a Latitude/Longitude point.
     * Returns select nowcast and forecast (7-day - daily and hourly) data for a Latitude/Longitude point.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font.  **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named &#x60;X-API-KEY&#x60;. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key &#x60;C0W60UOFRML47ytbXk4xlLBfv&#x60; to access example locations found in this documentation.  When using the \\\&quot;Try it out\\\&quot; capability in the documentation, the API key should be added by clicking the green \\\&quot;Authorize\\\&quot; button at the top of the page. 
     * @param latitude A latitude value between -90° and 90°. 
     * @param longitude A longitude value between -180° (West) and 180° (East). 
     * @param services A comma separated list of service names to return.  **Limiting the query to needed services will improve the query response time.**  
     * @param fields A comma separated list of field names to return. The timestamp field is always returned.  **Limiting the query to needed fields will improve the query response time.**  
     * @param unitScale The unit scale for returned values.&lt;br&gt; (optional, default to IMPERIAL)
     * @param language The language for translatable returned values.&lt;br&gt; (optional, default to ENGLISH)
     * @return AppwxPointObj
     */
    @Suppress("UNCHECKED_CAST")
    fun pointsLatitudelongitudeGet(latitude: kotlin.Float, longitude: kotlin.Float, services: kotlin.Array<kotlin.String>, fields: kotlin.Array<kotlin.String>, unitScale: kotlin.String? = null, language: kotlin.String? = null): AppwxPointObj {
        val localVariableQuery: MultiValueMap = mapOf("services" to toMultiValue(services.toList(), "csv"), "fields" to toMultiValue(fields.toList(), "csv"), "unitScale" to listOf("$unitScale"), "language" to listOf("$language"))
        val localVariableConfig = RequestConfig(
                RequestMethod.GET,
                "/points/{latitude},{longitude}".replace("{" + "latitude" + "}", "$latitude").replace("{" + "longitude" + "}", "$longitude"), query = localVariableQuery
        )
        val response = request<AppwxPointObj>(
                localVariableConfig
        )

        return when (response.responseType) {
            ResponseType.Success -> (response as Success<*>).data as AppwxPointObj
            ResponseType.Informational -> TODO()
            ResponseType.Redirection -> TODO()
            ResponseType.ClientError -> throw ClientException((response as ClientError<*>).body as? String ?: "Client error")
            ResponseType.ServerError -> throw ServerException((response as ServerError<*>).message ?: "Server error")
        }
    }
}
