/**
 * App Weather - A Weather Source API
 * App/Webpage optimized weather data for latitude/longitude points, ZIP/Postal Codes, and OnPoint™ points. The Weather Source App Weather API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate use. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  This API returns current conditions (Nowcast) and a 7-day of daily and hourly forecast. The nowcast and forecasts include limited astronomical data.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.      **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.CldCvrMax
import io.swagger.client.models.CldCvrMin
import io.swagger.client.models.FeelsLikeMax
import io.swagger.client.models.FeelsLikeMin
import io.swagger.client.models.Icon
import io.swagger.client.models.MoonPhase
import io.swagger.client.models.Precip
import io.swagger.client.models.PrecipProb
import io.swagger.client.models.RelHumMax
import io.swagger.client.models.RelHumMin
import io.swagger.client.models.Snowfall
import io.swagger.client.models.SnowfallProb
import io.swagger.client.models.Summary
import io.swagger.client.models.SummaryLong
import io.swagger.client.models.Sunrise
import io.swagger.client.models.Sunset
import io.swagger.client.models.TempMax
import io.swagger.client.models.TempMin
import io.swagger.client.models.WindDirAvg
import io.swagger.client.models.WindSpdMax
import io.swagger.client.models.WindSpdMin

/**
 * A daily weather forecast object.
 * @param date 
 * @param cldCvrMax 
 * @param cldCvrMin 
 * @param feelsLikeMax 
 * @param feelsLikeMin 
 * @param icon 
 * @param moonPhase 
 * @param precip 
 * @param precipProb 
 * @param relHumMax 
 * @param relHumMin 
 * @param snowfall 
 * @param snowfallProb 
 * @param summary 
 * @param summaryLong 
 * @param sunrise 
 * @param sunset 
 * @param tempMax 
 * @param tempMin 
 * @param windDirAvg 
 * @param windSpdMin 
 * @param windSpdMax 
 */
data class ForecastDayObj (
    val date: java.time.LocalDate
,
    val cldCvrMax: CldCvrMax? = null,
    val cldCvrMin: CldCvrMin? = null,
    val feelsLikeMax: FeelsLikeMax? = null,
    val feelsLikeMin: FeelsLikeMin? = null,
    val icon: Icon? = null,
    val moonPhase: MoonPhase? = null,
    val precip: Precip? = null,
    val precipProb: PrecipProb? = null,
    val relHumMax: RelHumMax? = null,
    val relHumMin: RelHumMin? = null,
    val snowfall: Snowfall? = null,
    val snowfallProb: SnowfallProb? = null,
    val summary: Summary? = null,
    val summaryLong: SummaryLong? = null,
    val sunrise: Sunrise? = null,
    val sunset: Sunset? = null,
    val tempMax: TempMax? = null,
    val tempMin: TempMin? = null,
    val windDirAvg: WindDirAvg? = null,
    val windSpdMin: WindSpdMin? = null,
    val windSpdMax: WindSpdMax? = null
) {
}