/**
 * App Weather - A Weather Source API
 * App/Webpage optimized weather data for latitude/longitude points, ZIP/Postal Codes, and OnPoint™ points. The Weather Source App Weather API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate use. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.  This API returns current conditions (Nowcast) and a 7-day of daily and hourly forecast. The nowcast and forecasts include limited astronomical data.  The weather icon classes returned by this API correspond to classes used by the open source licensed [Weather Icons](https://developer.weathersourceapis.com/apis/appwx-weather-icons/) font set.      **IMPORTANT:** To authenticate to the Weather Source App Weather API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
package io.swagger.client.models

import io.swagger.client.models.CldCvr
import io.swagger.client.models.FeelsLike
import io.swagger.client.models.Icon
import io.swagger.client.models.Precip
import io.swagger.client.models.PrecipProb
import io.swagger.client.models.RelHum
import io.swagger.client.models.Snowfall
import io.swagger.client.models.SnowfallProb
import io.swagger.client.models.Summary
import io.swagger.client.models.Temp
import io.swagger.client.models.WindDir
import io.swagger.client.models.WindSpd
import java.sql.Timestamp

/**
 * An hourly weather forecast object.
 * @param timestamp 
 * @param cldCvr 
 * @param feelsLike 
 * @param icon 
 * @param precip 
 * @param precipProb 
 * @param relHum 
 * @param snowfall 
 * @param snowfallProb 
 * @param summary 
 * @param temp 
 * @param windDir 
 * @param windSpd 
 */
data class ForecastHourObj (
    val timestamp: Timestamp
,
    val cldCvr: CldCvr? = null,
    val feelsLike: FeelsLike? = null,
    val icon: Icon? = null,
    val precip: Precip? = null,
    val precipProb: PrecipProb? = null,
    val relHum: RelHum? = null,
    val snowfall: Snowfall? = null,
    val snowfallProb: SnowfallProb? = null,
    val summary: Summary? = null,
    val temp: Temp? = null,
    val windDir: WindDir? = null,
    val windSpd: WindSpd? = null
) {
}